﻿#language: ru

@cost_price

Функционал: 09_cost_price.02.002 Заполнение справочников Ресурсные спецификации после установки фикс цены

Сценарий: 09_cost_price.02.002 Создание рецептуры на сыр Российский 50% по шаблону
	Дано Я подключаюсь под "Администратор"
	И Я начинаю создавать Ресурсную спецификацию по шаблону "Сыр" для "Российский 50%" с отключенной обычной формой
	И в таблице "Этапы" я перехожу к строке:
		| 'Этап'  |
		| 'Варка' |
	И в таблице "ВыходныеИзделия" я активизирую поле с именем "ВыходныеИзделияКоличество"
	И в таблице "ВыходныеИзделия" в поле 'Количество' я ввожу текст '980,000'
	И в таблице "ВыходныеИзделия" я завершаю редактирование строки
	И я нажимаю на кнопку с именем 'ВыходныеИзделияДобавить'
	И в таблице "ВыходныеИзделия" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		|'Наименование'|
		|'Сырная крошка'|
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ресурсные спецификации (создание) *'
	И в таблице "ВыходныеИзделия" я активизирую поле с именем "ВыходныеИзделияКоличество"
	И в таблице "ВыходныеИзделия" в поле 'Количество' я ввожу текст '4,000'
	И в таблице "ВыходныеИзделия" я завершаю редактирование строки
	И я нажимаю на кнопку с именем "ВыходныеИзделияДобавить"
	И в таблице "ВыходныеИзделия" из выпадающего списка "Номенклатура" я выбираю по строке 'сыво'
	И в таблице "ВыходныеИзделия" я активизирую поле "Количество"
	И в таблице "ВыходныеИзделия" в поле 'Количество' я ввожу текст '7 800,000'
	И я нажимаю на кнопку с именем 'МатериалыДобавить'
	И в таблице "Материалы" я активизирую поле с именем "МатериалыНоменклатура"
	И в таблице "Материалы" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Смесь 50%'    |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Ресурсные спецификации (создание) *'
	И в таблице "Материалы" я завершаю редактирование строки
	И в таблице "Материалы" я активизирую поле с именем "МатериалыКоличество"
	И в таблице "Материалы" в поле 'Количество' я ввожу текст '9 800,000'
	И в таблице "Материалы" я активизирую поле с именем "МатериалыОсновное"
	И в таблице "Материалы" я завершаю редактирование строки
	И в таблице "Материалы" я устанавливаю флаг 'Основное'
	И в таблице "Материалы" я завершаю редактирование строки
	И я нажимаю на кнопку с именем 'МатериалыДобавить'
	И в таблице "Материалы" из выпадающего списка с именем "МатериалыНоменклатура" я выбираю по строке 'закваска '
	И в таблице "Материалы" в поле 'Количество' я ввожу текст '0,500'
	И я нажимаю на кнопку с именем "МатериалыКонтекстноеМенюДобавить"
	И в таблице "Материалы" из выпадающего списка "Номенклатура" я выбираю по строке 'ароматизатор 1'
	И в таблице "Материалы" в поле 'Количество' я ввожу текст '0,500'
	И таблица "ВыходныеИзделия" стала равной:
		| 'Номенклатура'   | 'Доля стоимости' |
		| 'Российский 50%' | '7 916'          |
		| 'Сырная крошка'  | '29'             |
		| 'Сыворотка'      | ''               |
	И в таблице "Этапы" я перехожу к строке:
		| 'Этап'     |
		| 'Упаковка' |
	И Пауза 1
	И в таблице "ВыходныеИзделия" я активизирую поле с именем "ВыходныеИзделияКоличество"
	И в таблице "ВыходныеИзделия" я выбираю текущую строку
	И в таблице "ВыходныеИзделия" в поле 'Количество' я ввожу текст '948,000'
	И в таблице "ВыходныеИзделия" я завершаю редактирование строки	
	И я нажимаю на кнопку с именем 'МатериалыДобавить'
	И в таблице "Материалы" я активизирую поле с именем "МатериалыНоменклатура"
	И в таблице "Материалы" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Пакет '       |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ресурсные спецификации (создание) *'
	И в таблице "Материалы" я активизирую поле с именем "МатериалыКоличество"
	И в таблице "Материалы" в поле 'Количество' я ввожу текст '121,000'
	И в таблице "Материалы" я завершаю редактирование строки
	И в таблице "Материалы" я активизирую поле "Статья калькуляции"
	И в таблице "Материалы" я выбираю текущую строку
	И в таблице "Материалы" я нажимаю кнопку выбора у реквизита "Статья калькуляции"
	Тогда открылось окно 'Сырьевые статьи затрат'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Упаковка'     |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Ресурсные спецификации (создание) *'
	И в таблице "Материалы" я завершаю редактирование строки
	И я жду доступности элемента "Действует с" в течение 10 секунд
	И в поле "Действует с" я ввожу текст '02.04.2021'
	Тогда элемент формы "Действует с" стал равен '02.04.2021'
	И Я заканчиваю создавать Ресурсную спецификацию в новой форме без назначения её основной

Сценарий: 09_cost_price.02.002 Создание спецификаций на Сливочный 45%
	И Я начинаю создавать Ресурсную спецификацию по шаблону "Сыр" для "Сливочный 45%" с отключенной обычной формой
	И я жду доступности элемента "Наименование" в течение 10 секунд
	И в поле 'Наименование' я ввожу текст 'Сливочный 45% Сыр основная'
	И в таблице "Этапы" я перехожу к строке:
		| 'Этап'  |
		| 'Варка' |
	И в таблице "ВыходныеИзделия" в поле 'Количество' я ввожу текст '950,000'
	И я нажимаю на кнопку с именем 'ВыходныеИзделияДобавить'
	И в таблице "ВыходныеИзделия" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		|'Наименование'|
		|'Сырная крошка'|
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ресурсные спецификации (создание) *'
	И в таблице "ВыходныеИзделия" я активизирую поле с именем "ВыходныеИзделияКоличество"
	И в таблице "ВыходныеИзделия" в поле 'Количество' я ввожу текст '4,750'
	И в таблице "ВыходныеИзделия" я завершаю редактирование строки
	И я нажимаю на кнопку с именем 'ВыходныеИзделияДобавить'
	И в таблице "ВыходныеИзделия" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		|'Наименование'|
		|'Сыворотка'|
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ресурсные спецификации (создание) *'
	И в таблице "ВыходныеИзделия" я активизирую поле с именем "ВыходныеИзделияКоличество"
	И в таблице "ВыходныеИзделия" в поле 'Количество' я ввожу текст '8 000,000'
	И в таблице "ВыходныеИзделия" я завершаю редактирование строки
	И я нажимаю на кнопку с именем 'МатериалыДобавить'
	И в таблице "Материалы" я активизирую поле с именем "МатериалыНоменклатура"
	И в таблице "Материалы" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Смесь 45%'    |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Ресурсные спецификации (создание) *'
	И в таблице "Материалы" в поле 'Количество' я ввожу текст '10 000,000'
	И в таблице "Материалы" я активизирую поле с именем "МатериалыОсновное"
	И в таблице "Материалы" я устанавливаю флаг с именем 'МатериалыОсновное'
	И я нажимаю на кнопку с именем 'МатериалыДобавить'
	И в таблице "Материалы" я нажимаю кнопку выбора у реквизита с именем "МатериалыНоменклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'         |
		| 'Закваска Ceska L 100' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ресурсные спецификации (создание) *'
	И в таблице "Материалы" в поле с именем 'МатериалыКоличество' я ввожу текст '1,000'
	И в таблице "Материалы" в поле '% отклонения' я ввожу текст '15,0'
	И я нажимаю на кнопку с именем 'МатериалыДобавить'
	И в таблице "Материалы" я нажимаю кнопку выбора у реквизита с именем "МатериалыНоменклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                  |
		| 'Краситель Бета-каротин FS 30%' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ресурсные спецификации (создание) *'
	И в таблице "Материалы" в поле с именем 'МатериалыКоличество' я ввожу текст '0,500'
	И в таблице "Этапы" я перехожу к строке:
		| 'Этап'  |
		| 'Упаковка' |
	И Пауза 1
	И в таблице "ВыходныеИзделия" я активизирую поле с именем "ВыходныеИзделияКоличество"
	И в таблице "ВыходныеИзделия" я выбираю текущую строку
	И в таблице "ВыходныеИзделия" в поле 'Количество' я ввожу текст '948,000'
	И в таблице "ВыходныеИзделия" я завершаю редактирование строки
	И я нажимаю на кнопку с именем 'МатериалыДобавить'
	И в таблице "Материалы" я активизирую поле с именем "МатериалыНоменклатура"
	И в таблице "Материалы" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Пакет 2'      |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ресурсные спецификации (создание) *'
	И в таблице "Материалы" я активизирую поле с именем "МатериалыКоличество"
	И в таблице "Материалы" в поле 'Количество' я ввожу текст '111,000'
	И в таблице "Материалы" я завершаю редактирование строки
	И в таблице "Материалы" я активизирую поле "Статья калькуляции"
	И в таблице "Материалы" я выбираю текущую строку
	И в таблице "Материалы" я нажимаю кнопку выбора у реквизита "Статья калькуляции"
	Тогда открылось окно 'Сырьевые статьи затрат'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Упаковка'     |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Ресурсные спецификации (создание) *'
	И в таблице "Материалы" я завершаю редактирование строки
	И я жду доступности элемента "Действует с" в течение 10 секунд
	И в поле "Действует с" я ввожу текст '02.04.2021'
	Тогда элемент формы "Действует с" стал равен '02.04.2021'
	И Я заканчиваю создавать Ресурсную спецификацию в новой форме без назначения её основной

Сценарий: 09_cost_price.02.002 Создание спецификации на Пошехонский 45%
	И Я начинаю создавать Ресурсную спецификацию по шаблону "Сыр" для "Пошехонский 45%" с отключенной обычной формой
	И в таблице "Этапы" я перехожу к строке:
		| 'Этап'  |
		| 'Варка' |
	И в таблице "ВыходныеИзделия" в поле 'Количество' я ввожу текст '950,000'
	И я нажимаю на кнопку с именем 'ВыходныеИзделияДобавить'
	И в таблице "ВыходныеИзделия" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		|'Наименование'|
		|'Сырная крошка'|
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ресурсные спецификации (создание) *'
	И в таблице "ВыходныеИзделия" в поле 'Количество' я ввожу текст '4,750'
	И я нажимаю на кнопку с именем 'ВыходныеИзделияДобавить'
	И в таблице "ВыходныеИзделия" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		|'Наименование'|
		|'Сыворотка'|
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ресурсные спецификации (создание) *'
	И в таблице "ВыходныеИзделия" в поле 'Количество' я ввожу текст '8 000,000'
	И я нажимаю на кнопку с именем 'МатериалыДобавить'
	И в таблице "Материалы" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Смесь 45%'    |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Ресурсные спецификации (создание) *'
	И в таблице "Материалы" в поле 'Количество' я ввожу текст '10 000,000'
	И в таблице "Материалы" я активизирую поле с именем "МатериалыОсновное"
	И в таблице "Материалы" я устанавливаю флаг с именем 'МатериалыОсновное'
	И я нажимаю на кнопку с именем 'МатериалыДобавить'
	И в таблице "Материалы" я нажимаю кнопку выбора у реквизита с именем "МатериалыНоменклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                            |
		| 'Ароматизатор Топленое молоко 675995 сыр' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ресурсные спецификации (создание) *'
	И в таблице "Материалы" в поле с именем 'МатериалыКоличество' я ввожу текст '1,000'
	И в таблице "Материалы" в поле '№ пакета' я ввожу текст '1'
	И я нажимаю на кнопку с именем 'МатериалыДобавить'
	И в таблице "Материалы" я нажимаю кнопку выбора у реквизита с именем "МатериалыНоменклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'         |
		| 'Закваска Ceska L 100' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ресурсные спецификации (создание) *'
	И в таблице "Материалы" в поле с именем 'МатериалыКоличество' я ввожу текст '0,300'
	И в таблице "Материалы" в поле '№ пакета' я ввожу текст '2'
	И в таблице "Этапы" я перехожу к строке:
		| 'Этап'  |
		| 'Упаковка' |
	И Пауза 1
	И в таблице "ВыходныеИзделия" в поле 'Количество' я ввожу текст '948,000'
	И я нажимаю на кнопку с именем 'МатериалыДобавить'
	И в таблице "Материалы" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Пакет '       |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ресурсные спецификации (создание) *'
	И в таблице "Материалы" в поле 'Количество' я ввожу текст '121,000'
	И в таблице "Материалы" я активизирую поле "Статья калькуляции"
	И в таблице "Материалы" я нажимаю кнопку выбора у реквизита "Статья калькуляции"
	Тогда открылось окно 'Сырьевые статьи затрат'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Упаковка'     |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Ресурсные спецификации (создание) *'
	И я жду доступности элемента "Действует с" в течение 10 секунд
	И в поле "Действует с" я ввожу текст '02.04.2021'
	Тогда элемент формы "Действует с" стал равен '02.04.2021'
	И Я заканчиваю создавать Ресурсную спецификацию в новой форме без назначения её основной